<?php
/*
##########################################################################
##########################################################################


	===================================
	News API zur Anzeige aktueller News
	===================================
	
	>>> Version 1.3.1, 12.02.2020 <<<
	
	© 2019 versicherungsmarkt.de gmbh
	
	
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	Verbreitung und Änderungen dieser Datei sind nicht gestattet!
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	
	
##########################################################################
##########################################################################
*/
if(isset($api_instance)) {
	$api_instance++;
}
else {
	$api_instance="";
}

if(!isset($vmarkt_id) or $vmarkt_id=="") {
	print "Fehler: Makler-ID nicht angegeben.";
	exit;
}
?>
<script language="javascript">
debug=false;
if(debug && console) { console.log('Version 1.2.6'); }
if(typeof jQuery != "function") { //jQuery nicht vorhanden -> einbinden
	(function () {
		function loadScript(url, callback) {
			var script = document.createElement("script")
			script.type = "text/javascript";
			if (script.readyState) { //IE
				script.onreadystatechange = function () {
					if (script.readyState == "loaded" || script.readyState == "complete") {
						script.onreadystatechange = null;
						callback();
					}
				};
			} 
			else { //Andere
				script.onload = function () {
					callback();
				};
			}
			script.src = url;
			document.getElementsByTagName("head")[0].appendChild(script);
		}

		loadScript("https://code.jquery.com/jquery-latest.min.js", function () {
			if(debug && console) { console.log('jQuery nachgeladen'); }
			//document.addEventListener("DOMContentLoaded", function() {
			jQuery(document).ready(function() {
				vmarkt_news<?php echo $api_instance; ?>();
				if(debug && console) { console.log('vmarkt_news aufgerufen'); }
			});
		});
	})();
}
else {
	if(debug && console) { console.log('jQuery vorhanden'); }
	jQuery(document).ready(function() {
		vmarkt_news<?php echo $api_instance; ?>();
		if(debug && console) { console.log('vmarkt_news aufgerufen'); }
	});
}
</script>
<?php
if($_SERVER['HTTPS']!="") {
	$protocol="https://";
}
else {
	$protocol="http://";
}
$server=$_SERVER['SERVER_NAME'];
$page=$_SERVER['PHP_SELF'];
$query=$_SERVER['QUERY_STRING'];
$url=$protocol.$server.$page;
$full_url=$protocol.$server.$page."?".$query;

if(isset($detail_page) && $detail_page!="") {
	$temp=explode("#", urldecode($detail_page));
	$url=$temp[0];
	if($temp[1]!="") {
		$hash="#".$temp[1];		
	}
	else {
		$hash=false;
	}
	// var_dump($url);exit;
}

//Query-Check
if(substr($url, 0, 1)=="?") {
	$temp_url=substr($url, 1);
	$temp_url=explode("=", $temp_url);
	$temp_url=array_chunk($temp_url, 2);
	// var_dump($temp_url);
}

//Querystring zerlegen
$query_arr=array();
if($query!="") {
	$queries=explode("&", $query);
	foreach($queries as $temp) {
		$temp=explode("=", $temp);
		$query_arr[$temp[0]]=$temp[1];
	}
}
//var_dump($query_arr);

//Neuen allgemeinen Querystring erzeugen
$query_arr2=$query_arr;
unset($query_arr2['show_id']);
$query_str="?";
foreach($query_arr2 as $name=>$val) {
	if(!$temp_url) {
		$query_str.=$name."=".$val."&";		
	}
	else {
		$allowed=true;
		foreach($temp_url as $arr) {
			if($arr[0]==$name) {
				$allowed=false;
			}
		}
		if($allowed===true) {
			$query_str.=$name."=".$val."&";			
		}
	}
}

//Query-String mit & anfügen, wenn schon ein ? vorhanden
if(substr($url, 0, 1)=="?") {
	$query_str="&".substr($query_str, 1);
}

//Checken ob Detail-Page-Parameter doppelt
$query_str=str_replace($url, "", $query_str);
$query_str=str_replace(str_replace("?", "&", $url), "", $query_str);


//section anhängen

if(isset($news_anzahl) && $news_anzahl>0) {
	$show_news=$news_anzahl;	
}
else {
	$show_news=10;
}

//##################################
//Einzelnen Beitrag anzeigen
//##################################
if($_GET['show_id']!="" && is_numeric($_GET['show_id']) && $_GET['show_id']!="all") {
	//print "bestimmten Beitrag zeigen";
	?>
	<script defer language="JavaScript">
		var hash = "<?php echo $hash; ?>";
		//Diese Funktion holt sich das News JSON-Objekt von online
		function vmarkt_news<?php echo $api_instance; ?>() {
			if(debug && console) { console.log('bestimmten Beitrag'); }
			document.getElementById('vmarkt_news_wrapper_temp').setAttribute("id", 'vmarkt_news_wrapper<?php echo $api_instance; ?>');
			jQuery.getJSON("https://content.versicherungsmarkt.de/news/news_json.php?id=<?php echo $vmarkt_id; ?>&news_id=<?php echo $_GET['show_id']; ?>",'callback=?',function(data){
				json_news = data;
				if(debug && console) { console.log(json_news); }
				if(json_news.success==1) {
					for(var n in json_news.result) { 
						document.getElementById('vmarkt_news_wrapper<?php echo $api_instance; ?>').innerHTML += "<div class=\"vmarkt_news\"><span class=\"date\">"+json_news.result[n].date+"</span><br><h3 class=\"headline\">"+json_news.result[n].headline+"</h3></div><div class=\"news_memo\">"+json_news.result[n].memo+"</div>"; //Automatisch JT 09.05.2017
						document.getElementById('vmarkt_news_wrapper<?php echo $api_instance; ?>').innerHTML += "<p><a href=\"<?php echo $url.$query_str.$hash; ?>\" class=\"more\">zur&uuml;ck zur &Uuml;bersicht</a></p>";
					}
					if(hash!="") {
						// location.hash = "#" + hash;
					}
				}
				else {
					document.write("Fehler: "+json_news.error);
				}
			});			
		}
	</script>
	<div id="vmarkt_news_wrapper_temp"></div>
	<?php
}

//##################################
//News-Überblick zeigen
//##################################
if(!isset($_GET['show_id']) or $_GET['show_id']=="" or !is_numeric($_GET['show_id']) or $_GET['show_id']=="all") {
	//print "Übersicht zeigen";
	?>
	<h2>News-&Uuml;berblick</h2>
	<script defer language="JavaScript">
		var hash = "<?php echo $hash; ?>";
		function vmarkt_news<?php echo $api_instance; ?>() {
			if(debug && console) { console.log('Übersicht'); }
			document.getElementById('vmarkt_news_wrapper_temp').setAttribute("id", 'vmarkt_news_wrapper<?php echo $api_instance; ?>');
			anzahl_der_news = <?php echo $show_news; ?>;
			//Diese Funktion holt sich das News JSON-Objekt von online
			jQuery.getJSON("https://content.versicherungsmarkt.de/news/news_json.php?id=<?php echo $vmarkt_id; ?>&show="+anzahl_der_news,'callback=?',function(data){
				json_news = data;
				if(debug && console) { console.log(json_news); }
				if(json_news.success==1) {
					for(var n in json_news.result) { 
						document.getElementById('vmarkt_news_wrapper<?php echo $api_instance; ?>').innerHTML += "<p class=\"news_thumb\"><a href=\"<?php echo $url.$query_str; ?>show_id="+json_news.result[n].id+"\"><span class=\"date\">"+json_news.result[n].date+"</span></a><br><strong class=\"headline\"><a href=\"<?php echo $url.$query_str; ?>show_id="+json_news.result[n].id+"<?php echo $hash; ?>\">"+json_news.result[n].headline+"</a></strong><br><span class=\"short_text\">"+json_news.result[n].short_text+"</span><br><a href=\"<?php echo $url.$query_str; ?>show_id="+json_news.result[n].id+"<?php echo $hash; ?>\" class=\"more\">mehr...</a></p>";
					}
					if(hash!="") {
						// location.hash = "#" + hash;
					}
				}
				else {
					//document.write("Fehler: "+json_news.error);
					console.log("Fehler: "+json_news.error);
					var body = document.getElementsByTagName("BODY")[0];
					var last = body.lastChild;
					var newItem = document.createElement("P");       // Create a <li> node
					newItem.setAttribute("style", "background:red;color:white;padding:10px;display:block;width:100%;text-align:center;height:100px;box-sizing:border-box;");
					var textnode = document.createTextNode("Fehler: "+json_news.error);  // Create a text node
					newItem.appendChild(textnode);                    // Append the text to <li>
					last.parentNode.insertBefore(newItem, last.nextSibling);
				}
			});			
		}
	</script>
	<div id="vmarkt_news_wrapper_temp"></div>
	<?php
}
?>